#
# crash core analysis suite
#
Summary: SPU commands extension for crash
Name: crash-spu-commands
Version: 1.0	
Release: 2.ydl.1
License: GPL
Group: Cell Development Tools
URL: http://people.redhat.com/anderson
Distribution: IBM SDK for Multicore Acceleration
Vendor: IBM Corporation
Packager: Frederico Recsky <frecsky@br.ibm.com>
ExclusiveOS: Linux
ExclusiveArch: ppc ppc64 ppc64pseries ppc64iseries
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: ncurses-devel zlib-devel

Source0:crash-4.0-4.3.tar.gz
Patch0:crash-spu-commands-1.diff

%description
Crash extension with specific commands for analyzing Cell/B.E. SPU run control
state. Three commands are provided: spus, spurq, spuctx.

%prep
%setup q -c -T -a 0
%patch0 -p0

%build
cd crash*
make 
make extensions

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}%_libdir/crash/extensions
mkdir -p %{buildroot}%{_mandir}/man8/

cd %{_builddir}/%{name}-%{version}/crash-4.0-4.3/
make DESTDIR=%{buildroot} install

%__mkdir -p %{buildroot}%_libdir/crash/extensions
%__mkdir -p %{buildroot}%{_mandir}/man8

%__install %{_builddir}/%{name}-%{version}/crash-4.0-4.3/extensions/spu.so  %{buildroot}%_libdir/crash/extensions/spu.so
%__install %{_builddir}/%{name}-%{version}/crash-4.0-4.3/crash.8 %{buildroot}%{_mandir}/man8/crash.8
mv ${RPM_BUILD_ROOT}/usr/bin/crash ${RPM_BUILD_ROOT}/usr/bin/crash-spu


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/bin/crash-spu
%defattr(664,root,root)
%{_mandir}/man8/crash.8*
%_libdir/crash/extensions/spu.so

%changelog
* Sat Oct 27 2007 Owen Stampflee <ostampflee@terrasoftsolutions.com>
- fix conflict with crash.
* Thu Aug 14 2007 Frederico Recsky <frecsky@br.ibm.com> 1.0-2
- fix some rpmlint reported problems
